Bug 561451 - Review Request: nailgun - Framework for running Java from the cli without the JVM startup overhead
Summary: Review Request: nailgun - Framework for running Java from the cli without the...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 561484
TreeView+ depends on / blocked
 
Reported: 2010-02-03 17:09 UTC by Mo Morsi
Modified: 2010-05-25 18:35 UTC (History)
4 users (show)

Fixed In Version: nailgun-0.7.1-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-25 18:35:05 UTC
akurtako: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Mo Morsi 2010-02-03 17:09:33 UTC
Spec URL: http://mo.morsi.org/files/jruby/nailgun.spec
SRPM URL: http://mo.morsi.org/files/jruby/nailgun-0.7.1-1.fc12.src.rpm
Description: 
Nailgun is a client, protocol, and server for running Java programs from the 
command line without incurring the JVM startup overhead. Programs run in the 
server (which is implemented in Java), and are triggered by the client 
(written in C), which handles all I/O.

Required by JRuby.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1959835

rpmlint -i rpmbuild/RPMS/i386/nailgun-0.7.1-1.fc12.i386.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint -i rpmbuild/RPMS/i386/nailgun-javadoc-0.7.1-1.fc12.i386.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint -i rpmbuild/SRPMS/nailgun-0.7.1-1.fc12.src.rpm 
nailgun.src:100: W: libdir-macro-in-noarch-package (main package)
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Ignoring this last warning as when package is noarch (eg if using java-openjdk) the libdir file will not be included, and when the package is architecture specific (eg when using gcj) it will be. See spec file for conditionals.

Comment 1 cyrushmh 2010-03-08 06:26:04 UTC
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x05bc28b8, pid=2458, tid=55061360
#
# JRE version: 6.0-b16
# Java VM: OpenJDK Client VM (14.0-b16 mixed mode linux-x86 )
# Distribution: Custom build (Thu Nov 12 09:49:25 EST 2009)
# Problematic frame:
# C  [libX11.so.6+0x488b8]  XmbResetIC+0x18
#
# If you would like to submit a bug report, please include
# instructions how to reproduce the bug and visit:
#   http://icedtea.classpath.org/bugzilla
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#

---------------  T H R E A D  ---------------

Current thread (0x933e7c00):  JavaThread "AWT-EventQueue-1" [_thread_in_native, id=2476, stack(0x03432000,0x03483000)]

siginfo:si_signo=SIGSEGV: si_errno=0, si_code=1 (SEGV_MAPERR), si_addr=0x0000027d

Registers:
EAX=0x00000269, EBX=0x007d6574, ECX=0x00000003, EDX=0x9263cf30
ESP=0x03481590, EBP=0x034815a8, ESI=0x933e7d10, EDI=0x007d7cd8
EIP=0x05bc28b8, CR2=0x0000027d, EFLAGS=0x00010206

Top of Stack: (sp=0x03481590)
0x03481590:   9263cf30 03481594 b3a25bc2 007d6574
0x034815a0:   933e7d10 007d7cd8 034815e8 007ac1bc
0x034815b0:   9263cf30 b7760b38 b7755440 b3efeea6
0x034815c0:   034815e4 b3f02450 00000000 b3efeed0
0x034815d0:   00000000 9627a158 007ac16b b440eb70
0x034815e0:   b440eb6c 933e7c00 0348161c 0143bf4d
0x034815f0:   933e7d10 0348162c 03481624 034815fc
0x03481600:   00000000 0348162c b4410bc0 00000000 

Instructions: (pc=0x05bc28b8)
0x05bc28a8:   e8 8b 55 08 8b 4a 04 85 c9 74 08 8b 02 89 14 24
0x05bc28b8:   ff 50 14 c9 c3 8d 76 00 55 31 c0 89 e5 8d 64 24 

Stack: [0x03432000,0x03483000],  sp=0x03481590,  free space=317k
Native frames: (J=compiled Java code, j=interpreted, Vv=VM code, C=native code)
C  [libX11.so.6+0x488b8]  XmbResetIC+0x18
C  [libmawt.so+0x191bc]  Java_sun_awt_X11InputMethod_resetXIC+0x5c
j  sun.awt.X11InputMethod.resetXIC()Ljava/lang/String;+0
j  sun.awt.X11InputMethod.endComposition()V+54
j  sun.awt.im.InputContext.endComposition()V+11
j  sun.awt.im.InputContext.focusGained(Ljava/awt/Component;)V+81
J  sun.awt.im.InputContext.dispatchEvent(Ljava/awt/AWTEvent;)V
J  sun.awt.im.InputMethodContext.dispatchEvent(Ljava/awt/AWTEvent;)V
J  java.awt.Component.dispatchEventImpl(Ljava/awt/AWTEvent;)V
J  java.awt.Container.dispatchEventImpl(Ljava/awt/AWTEvent;)V
J  java.awt.Component.dispatchEvent(Ljava/awt/AWTEvent;)V
j  java.awt.KeyboardFocusManager.redispatchEvent(Ljava/awt/Component;Ljava/awt/AWTEvent;)V+7
j  java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(Ljava/awt/Component;Ljava/awt/AWTEvent;)Z+352
J  java.awt.DefaultKeyboardFocusManager.dispatchEvent(Ljava/awt/AWTEvent;)Z
J  java.awt.Component.dispatchEventImpl(Ljava/awt/AWTEvent;)V
J  java.awt.Container.dispatchEventImpl(Ljava/awt/AWTEvent;)V
J  java.awt.EventQueue.dispatchEvent(Ljava/awt/AWTEvent;)V
J  de.resolution.emsgui.EMSGUI$PopupFixQueue.dispatchEvent(Ljava/awt/AWTEvent;)V
J  java.awt.EventDispatchThread.pumpOneEventForFilters(I)Z
j  java.awt.EventDispatchThread.pumpEventsForFilter(ILjava/awt/Conditional;Ljava/awt/EventFilter;)V+30
j  java.awt.EventDispatchThread.pumpEventsForHierarchy(ILjava/awt/Conditional;Ljava/awt/Component;)V+11
j  java.awt.EventDispatchThread.pumpEvents(ILjava/awt/Conditional;)V+4
j  java.awt.EventDispatchThread.pumpEvents(Ljava/awt/Conditional;)V+3
j  java.awt.EventDispatchThread.run()V+9
v  ~StubRoutines::call_stub
V  [libjvm.so+0x1dbd45]
V  [libjvm.so+0x2be4a9]
V  [libjvm.so+0x1dac3f]
V  [libjvm.so+0x1db11a]
V  [libjvm.so+0x1db2aa]
V  [libjvm.so+0x22b822]
V  [libjvm.so+0x3655b0]
V  [libjvm.so+0x365723]
V  [libjvm.so+0x2c4471]
C  [libpthread.so.0+0x5ab5]

Java frames: (J=compiled Java code, j=interpreted, Vv=VM code)
j  sun.awt.X11InputMethod.resetXIC()Ljava/lang/String;+0
j  sun.awt.X11InputMethod.endComposition()V+54
j  sun.awt.im.InputContext.endComposition()V+11
j  sun.awt.im.InputContext.focusGained(Ljava/awt/Component;)V+81
J  sun.awt.im.InputContext.dispatchEvent(Ljava/awt/AWTEvent;)V
J  sun.awt.im.InputMethodContext.dispatchEvent(Ljava/awt/AWTEvent;)V
J  java.awt.Component.dispatchEventImpl(Ljava/awt/AWTEvent;)V
J  java.awt.Container.dispatchEventImpl(Ljava/awt/AWTEvent;)V
J  java.awt.Component.dispatchEvent(Ljava/awt/AWTEvent;)V
j  java.awt.KeyboardFocusManager.redispatchEvent(Ljava/awt/Component;Ljava/awt/AWTEvent;)V+7
j  java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(Ljava/awt/Component;Ljava/awt/AWTEvent;)Z+352
J  java.awt.DefaultKeyboardFocusManager.dispatchEvent(Ljava/awt/AWTEvent;)Z
J  java.awt.Component.dispatchEventImpl(Ljava/awt/AWTEvent;)V
J  java.awt.Container.dispatchEventImpl(Ljava/awt/AWTEvent;)V
J  java.awt.EventQueue.dispatchEvent(Ljava/awt/AWTEvent;)V
J  de.resolution.emsgui.EMSGUI$PopupFixQueue.dispatchEvent(Ljava/awt/AWTEvent;)V
J  java.awt.EventDispatchThread.pumpOneEventForFilters(I)Z
j  java.awt.EventDispatchThread.pumpEventsForFilter(ILjava/awt/Conditional;Ljava/awt/EventFilter;)V+30
j  java.awt.EventDispatchThread.pumpEventsForHierarchy(ILjava/awt/Conditional;Ljava/awt/Component;)V+11
j  java.awt.EventDispatchThread.pumpEvents(ILjava/awt/Conditional;)V+4
j  java.awt.EventDispatchThread.pumpEvents(Ljava/awt/Conditional;)V+3
j  java.awt.EventDispatchThread.run()V+9
v  ~StubRoutines::call_stub

---------------  P R O C E S S  ---------------

Java Threads: ( => current thread )
  0x086a0c00 JavaThread "TimeOuterFirer" daemon [_thread_blocked, id=2558, stack(0x083e6000,0x08437000)]
  0x0869f400 JavaThread "TimeOuterFirer" daemon [_thread_blocked, id=2557, stack(0x0378b000,0x037dc000)]
  0x08691c00 JavaThread "Stream read from stream" [_thread_in_native, id=2518, stack(0x044b2000,0x04503000)]
  0x0868c000 JavaThread "TimeOuterFirer" daemon [_thread_blocked, id=2512, stack(0x03698000,0x036e9000)]
  0x0868a800 JavaThread "TimeOuterFirer" daemon [_thread_blocked, id=2511, stack(0x03647000,0x03698000)]
  0x08687800 JavaThread "TimeOuterFirer" daemon [_thread_blocked, id=2510, stack(0x04197000,0x041e8000)]
  0x08688c00 JavaThread "Port" [_thread_in_native, id=2507, stack(0x05785000,0x057d6000)]
  0x08680800 JavaThread "Port" [_thread_in_native, id=2506, stack(0x05f65000,0x05fb6000)]
  0x08682400 JavaThread "TimeOuterFirer" daemon [_thread_blocked, id=2498, stack(0x035a5000,0x035f6000)]
  0x0867e000 JavaThread "TimeOuterFirer" daemon [_thread_blocked, id=2497, stack(0x05d79000,0x05dca000)]
  0x91d71400 JavaThread "TimeOuterFirer" daemon [_thread_blocked, id=2496, stack(0x035f6000,0x03647000)]
  0x9260ac00 JavaThread "Thread-13" [_thread_in_native, id=2489, stack(0x03554000,0x035a5000)]
  0x92631000 JavaThread "TimerQueue" daemon [_thread_blocked, id=2484, stack(0x04760000,0x047b1000)]
  0xb7705000 JavaThread "DestroyJavaVM" [_thread_blocked, id=2459, stack(0x004d7000,0x00528000)]
  0x9270a000 JavaThread "TimeOuterFirer" daemon [_thread_blocked, id=2481, stack(0x034d4000,0x03525000)]
  0x92708800 JavaThread "TimeOuterFirer" daemon [_thread_blocked, id=2480, stack(0x073c0000,0x07411000)]
  0x92707800 JavaThread "TimeOuterFirer" daemon [_thread_blocked, id=2479, stack(0x07c3f000,0x07c90000)]
  0x933eb400 JavaThread "Thread-3" daemon [_thread_blocked, id=2477, stack(0x03483000,0x034d4000)]
=>0x933e7c00 JavaThread "AWT-EventQueue-1" [_thread_in_native, id=2476, stack(0x03432000,0x03483000)]
  0x933c8000 JavaThread "AWT-Shutdown" [_thread_blocked, id=2475, stack(0x07864000,0x078b5000)]
  0x933ac400 JavaThread "TimeOuter correctTime" daemon [_thread_blocked, id=2474, stack(0x05602000,0x05653000)]
  0x9339cc00 JavaThread "TimeOuter" daemon [_thread_blocked, id=2473, stack(0x054a3000,0x054f4000)]
  0x9339b000 JavaThread "AWT-XAWT" daemon [_thread_in_native, id=2468, stack(0x05687000,0x056d8000)]
  0x93326c00 JavaThread "Java2D Disposer" daemon [_thread_blocked, id=2467, stack(0x00b35000,0x00b86000)]
  0xb776f000 JavaThread "Low Memory Detector" daemon [_thread_blocked, id=2465, stack(0x0069c000,0x006ed000)]
  0xb776d000 JavaThread "CompilerThread0" daemon [_thread_blocked, id=2464, stack(0x0061b000,0x0069c000)]
  0xb776b800 JavaThread "Signal Dispatcher" daemon [_thread_blocked, id=2463, stack(0x005ca000,0x0061b000)]
  0xb775b400 JavaThread "Finalizer" daemon [_thread_blocked, id=2462, stack(0x00579000,0x005ca000)]
  0xb7759c00 JavaThread "Reference Handler" daemon [_thread_blocked, id=2461, stack(0x00528000,0x00579000)]

Other Threads:
  0xb7756c00 VMThread [stack: 0x00441000,0x004c2000] [id=2460]
  0xb7771000 WatcherThread [stack: 0x00712000,0x00793000] [id=2466]

VM state:not at safepoint (normal execution)

VM Mutex/Monitor currently owned by a thread: None

Heap
 def new generation   total 960K, used 795K [0x93700000, 0x93800000, 0x95e60000)
  eden space 896K,  88% used [0x93700000, 0x937c58d0, 0x937e0000)
  from space 64K,   8% used [0x937f0000, 0x937f14a8, 0x93800000)
  to   space 64K,   0% used [0x937e0000, 0x937e0000, 0x937f0000)
 tenured generation   total 11428K, used 9774K [0x95e60000, 0x96989000, 0xb3700000)
   the space 11428K,  85% used [0x95e60000, 0x967eba78, 0x967ebc00, 0x96989000)
 compacting perm gen  total 15872K, used 15627K [0xb3700000, 0xb4680000, 0xb7700000)
   the space 15872K,  98% used [0xb3700000, 0xb4642cb8, 0xb4642e00, 0xb4680000)
No shared spaces configured.

Dynamic libraries:
00110000-00138000 r-xp 00000000 08:01 35966      /lib/libm-2.11.1.so
00138000-00139000 r--p 00027000 08:01 35966      /lib/libm-2.11.1.so
00139000-0013a000 rw-p 00028000 08:01 35966      /lib/libm-2.11.1.so
0013a000-00145000 r-xp 00000000 08:01 41308      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libverify.so
00145000-00146000 rw-p 0000b000 08:01 41308      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libverify.so
00146000-00168000 r-xp 00000000 08:01 41289      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libjava.so
00168000-0016a000 rw-p 00022000 08:01 41289      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libjava.so
0016a000-00170000 r-xp 00000000 08:01 41309      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libzip.so
00170000-00171000 rw-p 00006000 08:01 41309      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libzip.so
00171000-00172000 rwxp 00000000 00:00 0 
00172000-00184000 rwxp 00000000 00:00 0 
00184000-0018b000 rwxp 00000000 00:00 0 
0018b000-00271000 rwxp 00000000 00:00 0 
00271000-00279000 rwxp 00000000 00:00 0 
00279000-00291000 rwxp 00000000 00:00 0 
00291000-00298000 rwxp 00000000 00:00 0 
00298000-0037f000 rwxp 00000000 00:00 0 
0037f000-00387000 rwxp 00000000 00:00 0 
00387000-003a0000 rwxp 00000000 00:00 0 
003a0000-003b0000 r-xp 00000000 08:01 36017      /usr/lib/libXext.so.6.4.0
003b0000-003b1000 rw-p 00010000 08:01 36017      /usr/lib/libXext.so.6.4.0
003b1000-003b9000 r-xp 00000000 08:01 36012      /usr/lib/libXrender.so.1.3.0
003b9000-003ba000 rw-p 00008000 08:01 36012      /usr/lib/libXrender.so.1.3.0
003ba000-003be000 r-xp 00000000 08:01 36021      /usr/lib/libXfixes.so.3.1.0
003be000-003bf000 rw-p 00003000 08:01 36021      /usr/lib/libXfixes.so.3.1.0
003bf000-003c0000 r--p 00000000 00:00 0 
003c1000-003cb000 rwxp 00000000 00:00 0 
003cb000-00441000 rwxp 00000000 00:00 0 
00441000-00442000 ---p 00000000 00:00 0 
00442000-004c2000 rwxp 00000000 00:00 0 
004c2000-004cf000 r-xp 00000000 08:01 36019      /usr/lib/libXi.so.6.1.0
004cf000-004d0000 rw-p 0000d000 08:01 36019      /usr/lib/libXi.so.6.1.0
004d7000-004da000 ---p 00000000 00:00 0 
004da000-00528000 rwxp 00000000 00:00 0 
00528000-0052b000 ---p 00000000 00:00 0 
0052b000-00579000 rwxp 00000000 00:00 0 
00579000-0057c000 ---p 00000000 00:00 0 
0057c000-005ca000 rwxp 00000000 00:00 0 
005ca000-005cd000 ---p 00000000 00:00 0 
005cd000-0061b000 rwxp 00000000 00:00 0 
0061b000-0061e000 ---p 00000000 00:00 0 
0061e000-0069c000 rwxp 00000000 00:00 0 
0069c000-0069f000 ---p 00000000 00:00 0 
0069f000-006ed000 rwxp 00000000 00:00 0 
006ed000-00700000 r-xp 00000000 08:01 41300      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libnet.so
00700000-00701000 rw-p 00013000 08:01 41300      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libnet.so
00705000-00710000 r-xp 00000000 08:01 3547       /lib/libnss_files-2.11.1.so
00710000-00711000 r--p 0000a000 08:01 3547       /lib/libnss_files-2.11.1.so
00711000-00712000 rw-p 0000b000 08:01 3547       /lib/libnss_files-2.11.1.so
00712000-00713000 ---p 00000000 00:00 0 
00713000-00793000 rwxp 00000000 00:00 0 
00793000-007d6000 r-xp 00000000 08:01 41316      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/xawt/libmawt.so
007d6000-007d8000 rw-p 00043000 08:01 41316      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/xawt/libmawt.so
007d8000-007d9000 rw-p 00000000 00:00 0 
007d9000-007f6000 r-xp 00000000 08:01 4118       /lib/libgcc_s-4.4.3-20100127.so.1
007f6000-007f7000 rw-p 0001c000 08:01 4118       /lib/libgcc_s-4.4.3-20100127.so.1
007f7000-007fe000 r-xp 00000000 08:01 41301      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libnio.so
007fe000-007ff000 rw-p 00006000 08:01 41301      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libnio.so
00802000-00808000 r-xp 00000000 08:01 41310      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/native_threads/libhpi.so
00808000-00809000 rw-p 00006000 08:01 41310      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/native_threads/libhpi.so
00809000-00812000 r-xp 00000000 08:01 36022      /usr/lib/libXcursor.so.1.0.2
00812000-00813000 rw-p 00009000 08:01 36022      /usr/lib/libXcursor.so.1.0.2
00813000-0081b000 r-xp 00000000 08:01 41293      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libjpeg.so
0081b000-0081c000 rw-p 00007000 08:01 41293      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libjpeg.so
00835000-00853000 r-xp 00000000 08:01 35882      /lib/ld-2.11.1.so
00853000-00854000 r--p 0001d000 08:01 35882      /lib/ld-2.11.1.so
00854000-00855000 rw-p 0001e000 08:01 35882      /lib/ld-2.11.1.so
00857000-009c6000 r-xp 00000000 08:01 35883      /lib/libc-2.11.1.so
009c6000-009c8000 r--p 0016e000 08:01 35883      /lib/libc-2.11.1.so
009c8000-009c9000 rw-p 00170000 08:01 35883      /lib/libc-2.11.1.so
009c9000-009cc000 rw-p 00000000 00:00 0 
009ce000-009d1000 r-xp 00000000 08:01 35915      /lib/libdl-2.11.1.so
009d1000-009d2000 r--p 00002000 08:01 35915      /lib/libdl-2.11.1.so
009d2000-009d3000 rw-p 00003000 08:01 35915      /lib/libdl-2.11.1.so
009d5000-009eb000 r-xp 00000000 08:01 35884      /lib/libpthread-2.11.1.so
009eb000-009ec000 r--p 00015000 08:01 35884      /lib/libpthread-2.11.1.so
009ec000-009ed000 rw-p 00016000 08:01 35884      /lib/libpthread-2.11.1.so
009ed000-009ef000 rw-p 00000000 00:00 0 
009f1000-009f4000 r-xp 00000000 08:01 4129       /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/jli/libjli.so
009f4000-009f5000 rw-p 00002000 08:01 4129       /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/jli/libjli.so
00a1d000-00a2f000 r-xp 00000000 08:01 36007      /lib/libz.so.1.2.3
00a2f000-00a30000 rw-p 00011000 08:01 36007      /lib/libz.so.1.2.3
00a32000-00a39000 r-xp 00000000 08:01 35888      /lib/librt-2.11.1.so
00a39000-00a3a000 r--p 00006000 08:01 35888      /lib/librt-2.11.1.so
00a3a000-00a3b000 rw-p 00007000 08:01 35888      /lib/librt-2.11.1.so
00a3b000-00abd000 r-xp 00000000 08:01 41280      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libawt.so
00abd000-00ac4000 rw-p 00081000 08:01 41280      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libawt.so
00ac4000-00ae8000 rw-p 00000000 00:00 0 
00ae8000-00b2e000 r-xp 00000000 08:01 41282      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libfontmanager.so
00b2e000-00b30000 rw-p 00046000 08:01 41282      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libfontmanager.so
00b30000-00b35000 rw-p 00000000 00:00 0 
00b35000-00b38000 ---p 00000000 00:00 0 
00b38000-00b86000 rwxp 00000000 00:00 0 
00baf000-00bb1000 r-xp 00000000 08:01 36009      /usr/lib/libXau.so.6.0.0
00bb1000-00bb2000 rw-p 00001000 08:01 36009      /usr/lib/libXau.so.6.0.0
00bb4000-00bd1000 r-xp 00000000 08:01 36010      /usr/lib/libxcb.so.1.1.0
00bd1000-00bd2000 rw-p 0001c000 08:01 36010      /usr/lib/libxcb.so.1.1.0
00bfa000-00bfb000 r-xp 00000000 00:00 0          [vdso]
00bfb000-00ff0000 r-xp 00000000 08:01 41273      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/client/libjvm.so
00ff0000-01013000 rw-p 003f4000 08:01 41273      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/client/libjvm.so
01013000-01432000 rw-p 00000000 00:00 0 
01432000-0169a000 rwxp 00000000 00:00 0 
0169a000-03432000 rwxp 00000000 00:00 0 
03432000-03435000 ---p 00000000 00:00 0 
03435000-03483000 rwxp 00000000 00:00 0          [threadstack:0004d494]
03483000-03486000 ---p 00000000 00:00 0 
03486000-034d4000 rwxp 00000000 00:00 0 
034d4000-034d7000 ---p 00000000 00:00 0 
034d7000-03525000 rwxp 00000000 00:00 0 
03525000-03551000 r-xp 00000000 08:01 41297      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/liblcms.so
03551000-03552000 rw-p 0002c000 08:01 41297      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/liblcms.so
03552000-03554000 rw-p 00000000 00:00 0 
03554000-03557000 ---p 00000000 00:00 0 
03557000-035a5000 rwxp 00000000 00:00 0 
035a5000-035a8000 ---p 00000000 00:00 0 
035a8000-035f6000 rwxp 00000000 00:00 0 
035f6000-035f9000 ---p 00000000 00:00 0 
035f9000-03647000 rwxp 00000000 00:00 0 
03647000-0364a000 ---p 00000000 00:00 0 
0364a000-03698000 rwxp 00000000 00:00 0 
03698000-0369b000 ---p 00000000 00:00 0 
0369b000-036e9000 rwxp 00000000 00:00 0 
036e9000-036ec000 rwxp 00000000 00:00 0 
036ec000-0373a000 rwxp 00000000 00:00 0 
0373a000-0373d000 rwxp 00000000 00:00 0 
0373d000-0378b000 rwxp 00000000 00:00 0 
0378b000-0378e000 ---p 00000000 00:00 0 
0378e000-037dc000 rwxp 00000000 00:00 0 
037dc000-037df000 rwxp 00000000 00:00 0 
037df000-0382d000 rwxp 00000000 00:00 0 
04197000-0419a000 ---p 00000000 00:00 0 
0419a000-041e8000 rwxp 00000000 00:00 0 
044b2000-044b5000 ---p 00000000 00:00 0 
044b5000-04503000 rwxp 00000000 00:00 0 
04760000-04763000 ---p 00000000 00:00 0 
04763000-047b1000 rwxp 00000000 00:00 0 
04dca000-04dcd000 rwxp 00000000 00:00 0 
04dcd000-04e1b000 rwxp 00000000 00:00 0 
04e70000-04e75000 r-xp 00000000 08:01 36060      /usr/lib/libXtst.so.6.1.0
04e75000-04e76000 rw-p 00004000 08:01 36060      /usr/lib/libXtst.so.6.1.0
04eff000-04f21000 r-xp 00000000 08:01 5158       /usr/lib/libjpeg.so.62.0.0
04f21000-04f22000 rw-p 00022000 08:01 5158       /usr/lib/libjpeg.so.62.0.0
0525a000-05271000 r-xp 00000000 08:01 36033      /lib/libnsl-2.11.1.so
05271000-05272000 r--p 00016000 08:01 36033      /lib/libnsl-2.11.1.so
05272000-05273000 rw-p 00017000 08:01 36033      /lib/libnsl-2.11.1.so
05273000-05275000 rw-p 00000000 00:00 0 
054a3000-054a6000 ---p 00000000 00:00 0 
054a6000-054f4000 rwxp 00000000 00:00 0 
05602000-05605000 ---p 00000000 00:00 0 
05605000-05653000 rwxp 00000000 00:00 0 
05687000-0568a000 ---p 00000000 00:00 0 
0568a000-056d8000 rwxp 00000000 00:00 0 
05785000-05788000 ---p 00000000 00:00 0 
05788000-057d6000 rwxp 00000000 00:00 0 
05b7a000-05cae000 r-xp 00000000 08:01 36011      /usr/lib/libX11.so.6.3.0
05cae000-05cb2000 rw-p 00133000 08:01 36011      /usr/lib/libX11.so.6.3.0
05cc9000-05ccc000 rwxp 00000000 00:00 0 
05ccc000-05d1a000 rwxp 00000000 00:00 0 
05d79000-05d7c000 ---p 00000000 00:00 0 
05d7c000-05dca000 rwxp 00000000 00:00 0 
05f65000-05f68000 ---p 00000000 00:00 0 
05f68000-05fb6000 rwxp 00000000 00:00 0 
06266000-062fa000 r-xp 00000000 08:01 36004      /usr/lib/libfreetype.so.6.3.22
062fa000-062fe000 rw-p 00094000 08:01 36004      /usr/lib/libfreetype.so.6.3.22
073c0000-073c3000 ---p 00000000 00:00 0 
073c3000-07411000 rwxp 00000000 00:00 0 
07774000-07777000 rwxp 00000000 00:00 0 
07777000-077c5000 rwxp 00000000 00:00 0 
07864000-07867000 ---p 00000000 00:00 0 
07867000-078b5000 rwxp 00000000 00:00 0 
07b7c000-07b7f000 rwxp 00000000 00:00 0 
07b7f000-07bcd000 rwxp 00000000 00:00 0 
07c3f000-07c42000 ---p 00000000 00:00 0 
07c42000-07c90000 rwxp 00000000 00:00 0 
07f69000-07f6c000 rwxp 00000000 00:00 0 
07f6c000-07fba000 rwxp 00000000 00:00 0 
08048000-08050000 r-xp 00000000 08:01 56249      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/bin/java
08050000-08052000 rw-p 00007000 08:01 56249      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/bin/java
083e6000-083e9000 ---p 00000000 00:00 0 
083e9000-08437000 rwxp 00000000 00:00 0 
0866c000-086b2000 rw-p 00000000 00:00 0          [heap]
91d00000-91d7c000 rw-p 00000000 00:00 0 
91d7c000-91e00000 ---p 00000000 00:00 0 
91f00000-91fff000 rw-p 00000000 00:00 0 
91fff000-92000000 ---p 00000000 00:00 0 
92000000-92100000 rw-p 00000000 00:00 0 
92100000-921fa000 rw-p 00000000 00:00 0 
921fa000-92200000 ---p 00000000 00:00 0 
92200000-922f9000 rw-p 00000000 00:00 0 
922f9000-92300000 ---p 00000000 00:00 0 
92300000-924fd000 rw-p 00000000 00:00 0 
924fd000-92500000 ---p 00000000 00:00 0 
92500000-925b3000 rw-p 00000000 00:00 0 
925b3000-92600000 ---p 00000000 00:00 0 
92600000-92700000 rw-p 00000000 00:00 0 
92700000-927e0000 rw-p 00000000 00:00 0 
927e0000-92800000 ---p 00000000 00:00 0 
92800000-928ff000 rw-p 00000000 00:00 0 
928ff000-92900000 ---p 00000000 00:00 0 
92900000-929ea000 rw-p 00000000 00:00 0 
929ea000-92a00000 ---p 00000000 00:00 0 
92a00000-92b00000 rw-p 00000000 00:00 0 
92c8c000-92c8f000 r--s 00000000 08:01 10312      /var/cache/fontconfig/87f5e051180a7a75f16eb6fe7dbd3749-le32d4.cache-3
92c8f000-92c95000 r--s 00000000 08:01 10227      /var/cache/fontconfig/b79f3aaa7d385a141ab53ec885cc22a8-le32d4.cache-3
92c95000-92c98000 r--s 00000000 08:01 8018       /var/cache/fontconfig/40e3156a2c3253e32a3684e188d01f88-le32d4.cache-3
92c98000-92c9b000 r--s 00000000 08:01 7970       /var/cache/fontconfig/9488d0492251582064a2fd8580f8f82a-le32d4.cache-3
92c9b000-92c9e000 r--s 00000000 08:01 7829       /var/cache/fontconfig/1ad845c7d160adf95bb102b577561fb3-le32d4.cache-3
92c9e000-92ca1000 r--s 00000000 08:01 7698       /var/cache/fontconfig/c86128c2a84b7c2000836063e6bdeb25-le32d4.cache-3
92ca1000-92ca3000 r--s 00000000 08:01 13016      /var/cache/fontconfig/0b1bcc92b4d25cc154d77dafe3bceaa0-le32d4.cache-3
92ca3000-92ca4000 r--s 00000000 08:01 13012      /var/cache/fontconfig/afda88ba2c9de689dfd6d8c6d2e4e427-le32d4.cache-3
92ca4000-92ca7000 r--s 00000000 08:01 13011      /var/cache/fontconfig/4815f7eb892cb239b46faae198c0f9aa-le32d4.cache-3
92ca7000-92ca9000 r--s 00000000 08:01 13008      /var/cache/fontconfig/2e1514a9fdd499050989183bb65136db-le32d4.cache-3
92ca9000-92cab000 r--s 00000000 08:01 13005      /var/cache/fontconfig/5c755b2f27115486aa6359c84dd3cbda-le32d4.cache-3
92cab000-92cac000 r--s 00000000 08:01 13001      /var/cache/fontconfig/3f821257dd33660ba7bbb45c32deb84c-le32d4.cache-3
92cac000-92cae000 r--s 00000000 08:01 12999      /var/cache/fontconfig/830f035fa84a65ce80e050178dbb630d-le32d4.cache-3
92cae000-92caf000 r--s 00000000 08:01 12998      /var/cache/fontconfig/81a173283b451552b599cfaafd6236bd-le32d4.cache-3
92caf000-92cb0000 r--s 00000000 08:01 12996      /var/cache/fontconfig/6cfc7d49b27ba7d3eb71ab86e04def2c-le32d4.cache-3
92cb0000-92cb1000 r--s 00000000 08:01 12749      /var/cache/fontconfig/6fcb01a03a016cc71057b587cdea6709-le32d4.cache-3
92cb1000-92d3f000 r--s 00000000 08:01 12067      /var/cache/fontconfig/93a816e592ae064f279572b51111bf6d-le32d4.cache-3
92d3f000-92d52000 r--s 00000000 08:01 12035      /var/cache/fontconfig/7a7f22e4c6b2236c525eb458794c6fd2-le32d4.cache-3
92d52000-92d53000 r--s 00000000 08:01 11909      /var/cache/fontconfig/b887eea8f1b96e1d899b44ed6681fc27-le32d4.cache-3
92d53000-92d54000 r--s 00000000 08:01 11822      /var/cache/fontconfig/860639f272b8b4b3094f9e399e41bccd-le32d4.cache-3
92d54000-92d55000 r--s 00000000 08:01 11810      /var/cache/fontconfig/211368abcb0ff835c229ff05c9ec01dc-le32d4.cache-3
92d55000-92d56000 r--s 00000000 08:01 11786      /var/cache/fontconfig/c46020d7221988a13df853d2b46304fc-le32d4.cache-3
92d56000-92d57000 r--s 00000000 08:01 11757      /var/cache/fontconfig/d290456e58f67f52b0f8f224126f9ea8-le32d4.cache-3
92d57000-92d58000 r--s 00000000 08:01 11752      /var/cache/fontconfig/b63c21b9c3e5b4a4009aa5966b421593-le32d4.cache-3
92d58000-92d59000 r--s 00000000 08:01 11746      /var/cache/fontconfig/df893b4576ad6107f9397134092c4059-le32d4.cache-3
92d59000-92d5a000 r--s 00000000 08:01 11731      /var/cache/fontconfig/ff627ea95a65192232277bf7c8a56f23-le32d4.cache-3
92d5a000-92d5b000 r--s 00000000 08:01 11729      /var/cache/fontconfig/900402270e15d763a6e008bb2d4c7686-le32d4.cache-3
92d5b000-92d5c000 r--s 00000000 08:01 11726      /var/cache/fontconfig/2881ed3fd21ca306ddad6f9b0dd3189f-le32d4.cache-3
92d5c000-92d5d000 r--s 00000000 08:01 11725      /var/cache/fontconfig/3c3fb04d32a5211b073874b125d29701-le32d4.cache-3
92d5d000-92d5e000 r--s 00000000 08:01 11720      /var/cache/fontconfig/e61abf8156cc476151baa07d67337cae-le32d4.cache-3
92d5e000-92d61000 r--s 00000000 08:01 11713      /var/cache/fontconfig/b67b32625a2bb51b023d3814a918f351-le32d4.cache-3
92d61000-92d62000 r--s 00000000 08:01 11712      /var/cache/fontconfig/d3379abda271c4acd2ad0c01f565d0b0-le32d4.cache-3
92d62000-92d65000 r--s 00000000 08:01 11705      /var/cache/fontconfig/46b47dbc682d2ca4191e148ea7bde7f2-le32d4.cache-3
92d65000-92d66000 r--s 00000000 08:01 11703      /var/cache/fontconfig/b4d0b56f766d89640448751fcd18ec1e-le32d4.cache-3
92d66000-92d67000 r--s 00000000 08:01 11697      /var/cache/fontconfig/f8c8443c839e5c47086d237472617a9b-le32d4.cache-3
92d67000-92d6e000 r--s 00000000 08:01 10780      /var/cache/fontconfig/12b26b760a24f8b4feb03ad48a333a72-le32d4.cache-3
92d6e000-92d74000 r--s 00000000 08:01 10201      /var/cache/fontconfig/928306c3ad40271d946e41014a49fc28-le32d4.cache-3
92d74000-92d7a000 r--s 00000000 08:01 10190      /var/cache/fontconfig/fa1582dab13e7e8e44e5a9424d309f0e-le32d4.cache-3
92d7a000-92d82000 r--s 00000000 08:01 8313       /var/cache/fontconfig/18db0204b1f108dd01663673626fcd3d-le32d4.cache-3
92d82000-92d83000 r--s 00000000 08:01 8258       /var/cache/fontconfig/1248881498ac025e45c3042f6afe9284-le32d4.cache-3
92d83000-92d87000 r--s 00079000 08:01 41333      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/jsse.jar
92d87000-92d8b000 r--s 00076000 08:01 41255      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/ext/localedata.jar
92d8b000-92d8e000 r--s 00000000 08:01 10312      /var/cache/fontconfig/87f5e051180a7a75f16eb6fe7dbd3749-le32d4.cache-3
92d8e000-92d94000 r--s 00000000 08:01 10227      /var/cache/fontconfig/b79f3aaa7d385a141ab53ec885cc22a8-le32d4.cache-3
92d94000-92d97000 r--s 00000000 08:01 8018       /var/cache/fontconfig/40e3156a2c3253e32a3684e188d01f88-le32d4.cache-3
92d97000-92d9a000 r--s 00000000 08:01 7970       /var/cache/fontconfig/9488d0492251582064a2fd8580f8f82a-le32d4.cache-3
92d9a000-92d9d000 r--s 00000000 08:01 7829       /var/cache/fontconfig/1ad845c7d160adf95bb102b577561fb3-le32d4.cache-3
92d9d000-92da0000 r--s 00000000 08:01 7698       /var/cache/fontconfig/c86128c2a84b7c2000836063e6bdeb25-le32d4.cache-3
92da0000-92da2000 r--s 00000000 08:01 13016      /var/cache/fontconfig/0b1bcc92b4d25cc154d77dafe3bceaa0-le32d4.cache-3
92da2000-92da3000 r--s 00000000 08:01 13012      /var/cache/fontconfig/afda88ba2c9de689dfd6d8c6d2e4e427-le32d4.cache-3
92da3000-92da6000 r--s 00000000 08:01 13011      /var/cache/fontconfig/4815f7eb892cb239b46faae198c0f9aa-le32d4.cache-3
92da6000-92da8000 r--s 00000000 08:01 13008      /var/cache/fontconfig/2e1514a9fdd499050989183bb65136db-le32d4.cache-3
92da8000-92daa000 r--s 00000000 08:01 13005      /var/cache/fontconfig/5c755b2f27115486aa6359c84dd3cbda-le32d4.cache-3
92daa000-92dab000 r--s 00000000 08:01 13001      /var/cache/fontconfig/3f821257dd33660ba7bbb45c32deb84c-le32d4.cache-3
92dab000-92dad000 r--s 00000000 08:01 12999      /var/cache/fontconfig/830f035fa84a65ce80e050178dbb630d-le32d4.cache-3
92dad000-92dae000 r--s 00000000 08:01 12998      /var/cache/fontconfig/81a173283b451552b599cfaafd6236bd-le32d4.cache-3
92dae000-92daf000 r--s 00000000 08:01 12996      /var/cache/fontconfig/6cfc7d49b27ba7d3eb71ab86e04def2c-le32d4.cache-3
92daf000-92db0000 r--s 00000000 08:01 12749      /var/cache/fontconfig/6fcb01a03a016cc71057b587cdea6709-le32d4.cache-3
92db0000-92e3e000 r--s 00000000 08:01 12067      /var/cache/fontconfig/93a816e592ae064f279572b51111bf6d-le32d4.cache-3
92e3e000-92e51000 r--s 00000000 08:01 12035      /var/cache/fontconfig/7a7f22e4c6b2236c525eb458794c6fd2-le32d4.cache-3
92e51000-92e52000 r--s 00000000 08:01 11909      /var/cache/fontconfig/b887eea8f1b96e1d899b44ed6681fc27-le32d4.cache-3
92e52000-92e53000 r--s 00000000 08:01 11822      /var/cache/fontconfig/860639f272b8b4b3094f9e399e41bccd-le32d4.cache-3
92e53000-92e54000 r--s 00000000 08:01 11810      /var/cache/fontconfig/211368abcb0ff835c229ff05c9ec01dc-le32d4.cache-3
92e54000-92e55000 r--s 00000000 08:01 11786      /var/cache/fontconfig/c46020d7221988a13df853d2b46304fc-le32d4.cache-3
92e55000-92e56000 r--s 00000000 08:01 11757      /var/cache/fontconfig/d290456e58f67f52b0f8f224126f9ea8-le32d4.cache-3
92e56000-92e57000 r--s 00000000 08:01 11752      /var/cache/fontconfig/b63c21b9c3e5b4a4009aa5966b421593-le32d4.cache-3
92e57000-92e58000 r--s 00000000 08:01 11746      /var/cache/fontconfig/df893b4576ad6107f9397134092c4059-le32d4.cache-3
92e58000-92e59000 r--s 00000000 08:01 11731      /var/cache/fontconfig/ff627ea95a65192232277bf7c8a56f23-le32d4.cache-3
92e59000-92e5a000 r--s 00000000 08:01 11729      /var/cache/fontconfig/900402270e15d763a6e008bb2d4c7686-le32d4.cache-3
92e5a000-92e5b000 r--s 00000000 08:01 11726      /var/cache/fontconfig/2881ed3fd21ca306ddad6f9b0dd3189f-le32d4.cache-3
92e5b000-92e5c000 r--s 00000000 08:01 11725      /var/cache/fontconfig/3c3fb04d32a5211b073874b125d29701-le32d4.cache-3
92e5c000-92e5d000 r--s 00000000 08:01 11720      /var/cache/fontconfig/e61abf8156cc476151baa07d67337cae-le32d4.cache-3
92e5d000-92e60000 r--s 00000000 08:01 11713      /var/cache/fontconfig/b67b32625a2bb51b023d3814a918f351-le32d4.cache-3
92e60000-92e61000 r--s 00000000 08:01 11712      /var/cache/fontconfig/d3379abda271c4acd2ad0c01f565d0b0-le32d4.cache-3
92e61000-92e64000 r--s 00000000 08:01 11705      /var/cache/fontconfig/46b47dbc682d2ca4191e148ea7bde7f2-le32d4.cache-3
92e64000-92e65000 r--s 00000000 08:01 11703      /var/cache/fontconfig/b4d0b56f766d89640448751fcd18ec1e-le32d4.cache-3
92e65000-92e66000 r--s 00000000 08:01 11697      /var/cache/fontconfig/f8c8443c839e5c47086d237472617a9b-le32d4.cache-3
92e66000-92e6d000 r--s 00000000 08:01 10780      /var/cache/fontconfig/12b26b760a24f8b4feb03ad48a333a72-le32d4.cache-3
92e6d000-92e73000 r--s 00000000 08:01 10201      /var/cache/fontconfig/928306c3ad40271d946e41014a49fc28-le32d4.cache-3
92e73000-92e79000 r--s 00000000 08:01 10190      /var/cache/fontconfig/fa1582dab13e7e8e44e5a9424d309f0e-le32d4.cache-3
92e79000-92e81000 r--s 00000000 08:01 8313       /var/cache/fontconfig/18db0204b1f108dd01663673626fcd3d-le32d4.cache-3
92e81000-92e82000 r--s 00000000 08:01 8258       /var/cache/fontconfig/1248881498ac025e45c3042f6afe9284-le32d4.cache-3
92e82000-92e89000 r--s 000fe000 08:01 41346      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/resources.jar
92e89000-92e95000 r--s 00174000 08:02 1311646    /home/CyrusHMH/yf/freedom.jar
92e95000-92e99000 r--s 0018d000 08:01 41257      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/ext/pulse-java.jar
92e99000-92ea2000 r--s 00065000 08:01 41254      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/ext/gnome-java-bridge.jar
92eae000-93000000 r--p 030d4000 08:01 119139     /usr/lib/locale/locale-archive
93000000-93200000 r--p 00000000 08:01 119139     /usr/lib/locale/locale-archive
93200000-93221000 rw-p 00000000 00:00 0 
93221000-93300000 ---p 00000000 00:00 0 
93300000-933fe000 rw-p 00000000 00:00 0 
933fe000-93400000 ---p 00000000 00:00 0 
93400000-934fe000 rw-p 00000000 00:00 0 
934fe000-93500000 ---p 00000000 00:00 0 
9352b000-9356b000 r--p 02d19000 08:01 119139     /usr/lib/locale/locale-archive
9356b000-93700000 r--s 038ec000 08:01 41348      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/rt.jar
93700000-93800000 rwxp 00000000 00:00 0 
93800000-95e60000 rwxp 00000000 00:00 0 
95e60000-96989000 rwxp 00000000 00:00 0 
96989000-b3700000 rwxp 00000000 00:00 0 
b3700000-b4680000 rwxp 00000000 00:00 0 
b4680000-b7700000 rwxp 00000000 00:00 0 
b7700000-b77f6000 rw-p 00000000 00:00 0 
b77f6000-b7800000 ---p 00000000 00:00 0 
b780d000-b7842000 rw-p 00000000 00:00 0 
b7844000-b7849000 rw-s 00000000 00:04 1343509    /SYSV00000000 (deleted)
b7851000-b7859000 rw-s 00000000 08:01 916635     /tmp/hsperfdata_CyrusHMH/2458
b7859000-b785a000 rw-p 00000000 00:00 0 
b785a000-b785b000 r--p 00000000 00:00 0 
b785b000-b785c000 rw-p 00000000 00:00 0 
bfa59000-bfa8d000 rwxp 00000000 00:00 0          [stack]
bfa8d000-bfa8e000 rw-p 00000000 00:00 0 

VM Arguments:
java_command: freedom.jar
Launcher Type: SUN_STANDARD

Environment Variables:
PATH=/usr/lib/qt-3.3/bin:/usr/kerberos/sbin:/usr/kerberos/bin:/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/CyrusHMH/bin:/home/CyrusHMH/bin
USERNAME=CyrusHMH
LD_LIBRARY_PATH=/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/client:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/../lib/i386
SHELL=/bin/bash
DISPLAY=:0.0

Signal Handlers:
SIGSEGV: [libjvm.so+0x392640], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGBUS: [libjvm.so+0x392640], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGFPE: [libjvm.so+0x2c1010], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGPIPE: [libjvm.so+0x2c1010], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGXFSZ: [libjvm.so+0x2c1010], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGILL: [libjvm.so+0x2c1010], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGUSR1: SIG_DFL, sa_mask[0]=0x00000000, sa_flags=0x00000000
SIGUSR2: [libjvm.so+0x2c0760], sa_mask[0]=0x00000000, sa_flags=0x10000004
SIGHUP: [libjvm.so+0x2c2c30], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGINT: [libjvm.so+0x2c2c30], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGTERM: [libjvm.so+0x2c2c30], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGQUIT: [libjvm.so+0x2c2c30], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004


---------------  S Y S T E M  ---------------

OS:Fedora release 12 (Constantine)

uname:Linux 2.6.32.9-67.fc12.i686.PAE #1 SMP Sat Feb 27 09:42:55 UTC 2010 i686
libc:glibc 2.11.1 NPTL 2.11.1 
rlimit: STACK 10240k, CORE 0k, NPROC 1024, NOFILE 1024, AS infinity
load average:0.03 0.07 0.12

CPU:total 2 (2 cores per cpu, 1 threads per core) family 6 model 15 stepping 13, cmov, cx8, fxsr, mmx, sse, sse2, sse3, ssse3

Memory: 4k page, physical 1024372k(337876k free), swap 3775480k(3775480k free)

vm_info: OpenJDK Client VM (14.0-b16) for linux-x86 JRE (1.6.0_0-b16), built on Nov 12 2009 10:05:22 by "mockbuild" with gcc 4.4.2 20091027 (Red Hat 4.4.2-7)

time: Mon Mar  8 14:11:11 2010
elapsed time: 517 seconds

Comment 2 Alexander Kurtakov 2010-04-26 18:47:39 UTC
Please drop gcj_support, it gives no benefit but drags java-1.5.0-gcj in.
The package is not noarch even without gcj. 
It's generating empty debug package which you should disable.
Javadoc package should be noarch.

Comment 3 Jason Tibbitts 2010-04-26 18:55:14 UTC
Does gcj support give no benefit in general, or is it simply not useful for this package?  Because if it gives no benefit in general, you Java folks may wish to have the packaging committee update the guidelines to not say:
  GCJ AOT bits SHOULD be built and included in packages.

Comment 4 Alexander Kurtakov 2010-04-26 19:08:35 UTC
(In reply to comment #3)
> Does gcj support give no benefit in general, or is it simply not useful for
> this package?  Because if it gives no benefit in general, you Java folks may
> wish to have the packaging committee update the guidelines to not say:
>   GCJ AOT bits SHOULD be built and included in packages.    

It gives no benefit in general.

Comment 5 Mo Morsi 2010-04-27 21:29:44 UTC
Updated: gcj removed, debuginfo removed, javadoc subpkg marked as noarch

Updated spec and sprm here:
http://mo.morsi.org/files/jruby/nailgun.spec
http://mo.morsi.org/files/jruby/nailgun-0.7.1-2.fc11.src.rpm

As far as gcj, it has been deprecated:
https://fedoraproject.org/wiki/Java#Java_on_Fedora

"Note that AOT compilation using GCJ has been deprecated (made optional) and new or updated packages will be built using OpenJDK to produce regular Java bytecode."

Since it adds complexity / additional dependencies its not usually included unless absolutely necessary, eg 
https://bugzilla.redhat.com/show_bug.cgi?id=560170#c5

What would be the best means through which to get the guidelines updated (eg what mailing list is best for this request)?

Comment 6 Alexander Kurtakov 2010-05-04 14:33:50 UTC
Review:

OK: rpmlint must be run on every package. Output:

nailgun.src: W: spelling-error Summary(en_US) cli -> cl, clii, clip
nailgun.src: W: spelling-error Summary(en_US) startup -> start up, start-up, starter
nailgun.src: W: spelling-error %description -l en_US startup -> start up, start-up, starter
nailgun-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Javanese

False positives.


OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL.
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. [14]
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must consistently use macros.
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. Separate javadoc package.
OK: If a package includes something as %doc, it must not affect the runtime of the application. 
OK: Packages must not own files or directories already owned by other packages. OK: All filenames in rpm packages must be valid UTF-8.


Package is APPROVED.

Comment 7 Mo Morsi 2010-05-04 19:25:15 UTC
New Package CVS Request
=======================
Package Name: nailgun
Short Description: A client, protocol, and server for running Java programs from the command line without incurring the JVM startup overhead
Owners: mmorsi
Branches: F-11 F-12 F-13
InitialCC:

Comment 8 Kevin Fenzi 2010-05-06 15:23:56 UTC
CVS done (by process-cvs-requests.py).

Comment 9 Alexander Kurtakov 2010-05-14 15:48:29 UTC
Can we close this now?
See http://koji.fedoraproject.org/koji/packageinfo?packageID=10296

Comment 10 Mo Morsi 2010-05-18 22:04:21 UTC
I'm actually having trouble building this on rawhide (eg that koji build is failing). Building nailgun on F-11 and F-12 works fine (I have yet to try it against F-13) but building it on rawhide (either via koji or locally via mock) results in 

http://koji.fedoraproject.org/koji/getfile?taskID=2178233&name=build.log

I'm having some trouble deciphering the root cause, so any help would be appreciated.

Since we need a successful rawhide build before other branches can be updated, this is currently blocking the nailgun submission 

https://fedoraproject.org/wiki/PackageMaintainers/Join#Request_Builds

Comment 11 Fedora Update System 2010-05-24 20:09:41 UTC
nailgun-0.7.1-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/nailgun-0.7.1-2.fc13

Comment 12 Fedora Update System 2010-05-24 20:18:46 UTC
nailgun-0.7.1-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/nailgun-0.7.1-2.fc12

Comment 13 Fedora Update System 2010-05-25 18:34:56 UTC
nailgun-0.7.1-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-05-25 18:35:51 UTC
nailgun-0.7.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.